# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

# tests disabled due to circular dep, can be enabled later
%global enable_tests 0
%global srcname set-immediate-shim
%global commit 29ac611e181046f2cf8b61ed5d038c64733a1cbc

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Simple setImmediate shim
License:        MIT
URL:            https://github.com/sindresorhus/set-immediate-shim
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(require-uncached)
%endif


%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}


%changelog
* Mon May 25 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-2
- Update Source0 to comply with github source guidelines
- Move license from %%doc to %%license

* Wed Dec 31 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- Initial package
